Overview | Module | Use | Devguide | Index

Services' Summary | Interfaces' Summary | Properties' Summary | Services' Details | Interfaces' Details | Properties' Details

:: com :: sun :: star :: drawing ::
unpublished | service EnhancedCustomShapePath |
Usage Restrictions not published Description This service may be represented by a ::com::sun::star::beans::PropertyValue [].

Properties' Summary
sequence< EnhancedCustomShapeParameterPair > Coordinates | [ OPTIONAL ] This property is specifying the points that makes the geometry of the shape
sequence< EnhancedCustomShapeSegment > Segments | [ OPTIONAL ] This property specifies the commands and the way the Coordinates have to be interpreted.
long StretchX | [ OPTIONAL ] This property specifies the horizontal StretchPoint that has to be used. No stretching is used if this property is omitted.
long StretchY | [ OPTIONAL ] This property specifies the vertical StretchPoint that has to be used. No stretching is used if this property is omitted.
sequence< EnhancedCustomShapeTextFrame > TextFrames | [ OPTIONAL ] This property specifies the text frames that can be used with the shape. In general the first text frame is used, except the shape is containing vertical text, then the object tries to use the second text frame. The default text frame will be as big as the shape.
sequence< EnhancedCustomShapeParameterPair > GluePoints | [ OPTIONAL ] This property specifies custom glue points
sequence< double > GluePointLeavingDirections | [ OPTIONAL ] This property specifies GluePoint leaving directions.
short GluePointType | [ OPTIONAL ] This property defines the GluePoint type. The values that can be used are specified in com::sun::star::drawing::EnhancedCustomShapeGluePointType
boolean ExtrusionAllowed | [ OPTIONAL ] This property specifies if this shape supports the EnhancedCustomShapeExtrusion properties. The default is true.
boolean ConcentricGradientFillAllowed | [ OPTIONAL ] This property specifies if this shape supports concentric gradient fill. The default is false.
boolean TextPathAllowed | [ OPTIONAL ] This property specifies if this shape supports concentric gradient fill. The default is false;
sequence< ::com::sun::star::awt::Size > SubViewSize | [ OPTIONAL ] This property specifies view size per sub path

Properties' Details
Coordinates
sequence< EnhancedCustomShapeParameterPair > Coordinates; Usage Restrictions optional Description This property is specifying the points that makes the geometry of the shape
Segments
sequence< EnhancedCustomShapeSegment > Segments; Usage Restrictions optional Description This property specifies the commands and the way the Coordinates have to be interpreted.
StretchX
long StretchX; Usage Restrictions optional Description This property specifies the horizontal StretchPoint that has to be used. No stretching is used if this property is omitted.
StretchY
long StretchY; Usage Restrictions optional Description This property specifies the vertical StretchPoint that has to be used. No stretching is used if this property is omitted.
TextFrames
sequence< EnhancedCustomShapeTextFrame > TextFrames; Usage Restrictions optional Description This property specifies the text frames that can be used with the shape. In general the first text frame is used, except the shape is containing vertical text, then the object tries to use the second text frame. The default text frame will be as big as the shape.
GluePoints
sequence< EnhancedCustomShapeParameterPair > GluePoints; Usage Restrictions optional Description This property specifies custom glue points
GluePointLeavingDirections
sequence< double > GluePointLeavingDirections; Usage Restrictions optional Description This property specifies GluePoint leaving directions.
GluePointType
short GluePointType; Usage Restrictions optional Description This property defines the GluePoint type. The values that can be used are specified in com::sun::star::drawing::EnhancedCustomShapeGluePointType
ExtrusionAllowed
boolean ExtrusionAllowed; Usage Restrictions optional Description This property specifies if this shape supports the EnhancedCustomShapeExtrusion properties. The default is true.
ConcentricGradientFillAllowed
boolean ConcentricGradientFillAllowed; Usage Restrictions optional Description This property specifies if this shape supports concentric gradient fill. The default is false.
TextPathAllowed
boolean TextPathAllowed; Usage Restrictions optional Description This property specifies if this shape supports concentric gradient fill. The default is false;
SubViewSize
sequence< ::com::sun::star::awt::Size > SubViewSize; Usage Restrictions optional Description This property specifies view size per sub path

Top of Page

Copyright © 2000, 2013 LibreOffice contributors and/or their affiliates. All rights reserved.

LibreOffice was created by The Document Foundation, based on OpenOffice.org, which is Copyright 2000, 2010 Oracle and/or its affiliates.

The Document Foundation acknowledges all community members, please find more info at our website.

Privacy Policy | Impressum (Legal Info) | Copyright information: The source code of LibreOffice is licensed under the GNU Lesser General Public License (LGPLv3). "LibreOffice" and "The Document Foundation" are registered trademarks of their corresponding registered owners or are in actual use as trademarks in one or more countries. Their respective logos and icons are also subject to international copyright laws. Use thereof is explained in our trademark policy.